
%global srcname idna

Name:           python-%{srcname}
Version:        2.0
Release:        %mkrel 1
Summary:        Internationalized Domain Names in Applications (IDNA)
Group:          Development/Python
License:        BSD and Python and Unicode
URL:            https://github.com/kjd/idna
Source0:        https://pypi.python.org/packages/source/i/%{srcname}/%{srcname}-%{version}.tar.xz
BuildArch:      noarch

BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description
A library to support the Internationalised Domain Names in Applications (IDNA)
protocol as specified in RFC 5891 <http://tools.ietf.org/html/rfc5891>.  This
version of the protocol is often referred to as "IDNA2008" and can produce
different results from the earlier standard from 2003.

The library is also intended to act as a suitable drop-in replacement for the
"encodings.idna" module that comes with the Python standard library but
currently only supports the older 2003 specification.


%package -n python3-%{srcname}

Summary:        Internationalized Domain Names in Applications (IDNA)
Group:          Development/Python

%description -n python3-%{srcname}
A library to support the Internationalised Domain Names in Applications (IDNA)
protocol as specified in RFC 5891 <http://tools.ietf.org/html/rfc5891>.  This
version of the protocol is often referred to as "IDNA2008" and can produce
different results from the earlier standard from 2003.

The library is also intended to act as a suitable drop-in replacement for the
"encodings.idna" module that comes with the Python standard library but
currently only supports the older 2003 specification.

%prep
%setup -q -n %{srcname}-%{version}
# Remove bundled egg-info
rm -rf %{srcname}.egg-info

cp -a . %{py3dir}


%build
%{__python} setup.py build

pushd %{py3dir}
# Set LANG when building with python 3 due to
# https://github.com/kjd/idna/pull/4
LANG=en_US.UTF-8 %{__python3} setup.py build
popd

%install
rm -rf %buildroot

pushd %{py3dir}
# Set LANG when building with python 3 due to
# https://github.com/kjd/idna/pull/4
LANG=en_US.UTF-8 %{__python3} setup.py install --skip-build --root %{buildroot}
popd

%{__python} setup.py install --skip-build --root %{buildroot}


%files
%doc README.rst HISTORY.rst LICENSE.rst
%{python_sitelib}/%{srcname}
%{python_sitelib}/%{srcname}-%{version}-py%{python_version}.egg-info

%files -n python3-%{srcname}
%doc README.rst HISTORY.rst LICENSE.rst
%{python3_sitelib}/%{srcname}
%{python3_sitelib}/%{srcname}-%{version}-py%{python3_version}.egg-info

%changelog
* Sun Sep 13 2015 bb <bb> 2.0-1pclos2015
- update
